# Uses of Class
org.jfree.chart3d.graphics3d.Line3D

Packages that use Line3D
Package
Description
org.jfree.chart3d.graphics3d
The core 3D graphics rendering engine which is fully implemented using the Java2D (Graphics2D) API.

## Uses of Line3D in org.jfree.chart3d.graphics3d

Methods in org.jfree.chart3d.graphics3d that return Line3D
Modifier and Type
Method
Description
`static Line3D`
Line3D.`cropLineToAxisAlignedBoundingBox(Line3D line, double x0, double x1, double y0, double y1, double z0, double z1)`
Calculates and returns the line segment that is the result of cropping the specified line segment to fit within an axis aligned bounding box.
Methods in org.jfree.chart3d.graphics3d with parameters of type Line3D
Modifier and Type
Method
Description
`static Line3D`
Line3D.`cropLineToAxisAlignedBoundingBox(Line3D line, double x0, double x1, double y0, double y1, double z0, double z1)`
Calculates and returns the line segment that is the result of cropping the specified line segment to fit within an axis aligned bounding box.